package com.crm.rely.backend.core.dto.ib.trade;

import lombok.Data;

import java.util.Date;

@Data
public class AccountDailySummaryDto {

    private Long cId;

    private String name;
    /**
     * 交易账号
     */
    private Long login;

    private Float balance;

    private Float equity;

    private Float credit;

    /**
     * 账户类型
     */
    private Long groupType;

    private String groupTypeName;
    /**
     * 代理编号
     */
    private String ibNo;
    /**
     * 销售编号
     */
    private String salesNo;
    /**
     * 入金
     */
    private Float deposit;
    /**
     * 出金
     */
    private Float withdrawal;
    /**
     * 合计信用
     */
    private Float sumCredit;
    /**
     * 净入金
     */
    private Float netDeposit;
    /**
     * 手数
     */
    private Float volume;
    /**
     * 合计返佣
     */
    private Float sumRebate;
    /**
     * 库存费
     */
    private Float storage;
    /**
     * 盈亏
     */
    private Float profit;
    /**
     * 爆仓比
     */
    private String marginLevel;
    /**
     * CID注册时间
     */
    private Date regDate;
    /**
     * 交易平台
     */
    private String platform;

    public static AccountDailySummaryDto getInstance() {
        AccountDailySummaryDto dto = new AccountDailySummaryDto();
        dto.setBalance(0f);
        dto.setCredit(0f);
        dto.setEquity(0f);
        dto.setDeposit(0f);
        dto.setWithdrawal(0f);
        dto.setSumCredit(0f);
        dto.setNetDeposit(0f);
        dto.setVolume(0f);
        dto.setSumRebate(0f);
        dto.setStorage(0f);
        dto.setProfit(0f);
        return dto;
    }
}
